Status: Resolved Priority: Should have
Author: Ernesto Baschny Category: Install Tool
Updated: 2013-08-30 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: easy
Is Regression:
Sprint Focus:
Subject: Install Tool: Warning: touch() Utime failed: Permission denied 
Description

In #20686 this has been fixed in the "old install tool" but this problem appears again in the "new install tool" since the touch() is made
again without a @ to suppress warnings.

A more robust enhancement would be to - as a fallback in case "touch" is not allowed - to remove the file and create it again. This just
requires write permissions in the typo3conf directory - which should be there in any case - instead of inode-modify permissions on the
ENABLE_INSTALL_TOOL file, which might not be there in case "root" or someone else has created the ENABLE file.

Related issues:
related to Core - Bug # 20686: Warning: touch() [function.touch]: Utime failed Resolved 2009-06-27
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30

Associated revisions
Revision 792f84ca - 2013-08-30 11:24 - Ernesto Baschny

[BUGFIX] Install Tool: Warning: touch() Utime failed: Permission denied

Despite getting rid of this warning, extending the lifetime of this file
gets more robust by a second method, which is recreating it (which should
be possible even if the file is not owned by the PHP process).

Resolves: #51542
Releases: 6.2
Change-Id: Icb7805ee1f6a08654c3f11eb317a2ad3cadbad76
Reviewed-on: https://review.typo3.org/23477
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2013-08-29 19:24 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23477
#2 - 2013-08-29 23:10 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23477

#3 - 2013-08-30 11:30 - Ernesto Baschny
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:792f84ca63e51395c26d259728346b6ecfc9be1d.

2015-08-04 2/2

https://review.typo3.org/23477

